BizKitHub
DocsAPI ReferenceOrganisation/bff/organisation/lifecycle/deactivate
postOrganisationAdmin BFF

/bff/organisation/lifecycle/deactivate

Marks cas__organisation.deleted_date = NOW(). Reversible via /lifecycle/reactivate. Callable only from the internal platform organisation (INTERNAL_ORGANISATION_ID). Data is left intact until a subsequent /lifecycle/purge call.

OrganisationpostBffOrganisationLifecycleDeactivate

Parameters

JSON body

Request body

application/json
organisationIdnumberRequired

Target organisation id to deactivate (soft-delete). Must not be the internal org.

reasonstringOptional

Free-form reason kept on the audit trail.

Response schema

1 status code documented

200Success
successbooleanRequired
organisationIdnumberRequired
namestringRequired
deletedDatestringRequired
alreadyDeactivatedbooleanRequired

Response example

application/json
{
  "success": false,
  "organisationId": 0,
  "name": "example_name",
  "deletedDate": "example_deletedDate",
  "alreadyDeactivated": false
}

Request example

POST /bff/organisation/lifecycle/deactivate

post
curl -X POST "https://api.bizkithub.com/bff/organisation/lifecycle/deactivate" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "organisationId": 0,
  "reason": "example_reason"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key